## sg3-utils 1.31

=== debian/changelog ===
sg3-utils (1.31-1) unstable; urgency=low

  * New Upstream Release 
  * [0d9bfc1] update symbols file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 17 Mar 2011 19:46:32 +0530
