=== debian/control ===
Source: sg3-utils
Section: admin
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>> 7), libtool, libcam-dev [kfreebsd-i386 kfreebsd-amd64]
Standards-Version: 3.9.1
Homepage: http://sg.danny.cz/sg/
Vcs-Git: git://git.debian.org/collab-maint/sg3-utils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sg3-utils.git

Package: sg3-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: sg-utils, cdwrite
Replaces: sg-utils
Description: utilities for devices using the SCSI command set
 Most OSes have SCSI pass-through interfaces that enable user space programs
 to send SCSI commands to a device and fetch the response. With SCSI to ATA
 Translation (SAT) many ATA disks now can process SCSI commands. Typically
 each utility in this package implements one SCSI command. See the draft
 standards at www.t10.org for SCSI command definitions plus SAT. ATA
 commands are defined in the draft standards at www.t13.org . For a mapping
 between supported SCSI and ATA commands and utility names in this package
 see the COVERAGE file.

Package: libsgutils2-2
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Conflicts: libsgutils2
Replaces: libsgutils2
Suggests: sg3-utils
Description: utilities for devices using the SCSI command set (shared libraries)
 Most OSes have SCSI pass-through interfaces that enable user space programs
 to send SCSI commands to a device and fetch the response. With SCSI to ATA
 Translation (SAT) many ATA disks now can process SCSI commands. Typically
 each utility in this package implements one SCSI command. See the draft
 standards at www.t10.org for SCSI command definitions plus SAT. ATA
 commands are defined in the draft standards at www.t13.org . For a mapping
 between supported SCSI and ATA commands and utility names in this package
 see the COVERAGE file
 .
 Shared library used by the utilities in the sg3-utils package.

Package: libsgutils2-dev
Section: libdevel
Architecture: any
Depends: libsgutils2-2 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
Conflicts: libsgutils1-dev
Suggests: sg3-utils
Description: utilities for devices using the SCSI command set (developer files)
 Most OSes have SCSI pass-through interfaces that enable user space programs
 to send SCSI commands to a device and fetch the response. With SCSI to ATA
 Translation (SAT) many ATA disks now can process SCSI commands. Typically
 each utility in this package implements one SCSI command. See the draft
 standards at www.t10.org for SCSI command definitions plus SAT. ATA
 commands are defined in the draft standards at www.t13.org . For a mapping
 between supported SCSI and ATA commands and utility names in this package
 see the COVERAGE file.
 .
 Developer files (i.e. headers and a static library) which are associated with
 the utilities in the sg3-utils package.
