## sg3-utils 1.32

=== debian/changelog ===
sg3-utils (1.32-1) unstable; urgency=low

  * [06cef8d] Use kfreebsd-any as the build-dep.
    Thanks to Robert Millan (Closes: 634362)
  * [850586d] separate build-arch and build-indep targets
  * [a432747] Drop duplicate changelog
  * [ec2bbd8] Update Standards Version to 3.9.2. No changes required

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 09 Aug 2011 16:36:28 +0530
