=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,11 @@
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --bindir=/usr/bin --prefix=/usr --mandir=\$${prefix}/share/man
 	touch configure-stamp
 
-build: configure-stamp build-stamp
+build: build-arch build-indep
+
+build-arch: configure-stamp build-stamp
+build-indep: configure-stamp build-stamp
+
 build-stamp:
 	dh_testdir
