## sg3-utils 1.33

=== debian/changelog ===
sg3-utils (1.33-1) unstable; urgency=low

  * [d05522e] Fix installation path.
    Thanks to Chow Loong Jin (Closes: #657404)
  * [22587cc] Imported Upstream version 1.33

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 26 Jan 2012 23:40:42 +0530
