=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>> 7), libtool, libcam-dev [kfreebsd-i386 kfreebsd-amd64]
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>> 7), libtool, libcam-dev [kfreebsd-any]
+Standards-Version: 3.9.2
 Homepage: http://sg.danny.cz/sg/
 Vcs-Git: git://git.debian.org/collab-maint/sg3-utils.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sg3-utils.git
