=== debian/rules ===
--- 
+++ 
@@ -51,9 +51,9 @@
 
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) -e install DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr
+	cp scripts/scsi* debian/tmp/usr/bin
 
 	dh_install --autodest --sourcedir=debian/tmp
-	cp scripts/scsi* debian/sg3-utils/usr/bin
 
 	dh_installman
