## sg3-utils 1.36

=== debian/changelog ===
sg3-utils (1.36-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to update libtool macros for new ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Dec 2013 15:11:42 +0000

sg3-utils (1.36-1) unstable; urgency=low

  * [69e9dac] Imported Upstream version 1.36
  * [cb75936] Add debian compat, level 7
  * [68fed25] update README.source
  * [3c724fc] Add build-dep autotools-dev
  * [e4b9fdd] add destdir to install path
  * [7cfff11] Simplify build with debhelper
  * [f9a7540] Update symbols for 1.36 release
  * [7b0b48d] Enable hardening build

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 23 Jun 2013 16:08:01 +0530
