=== debian/changelog ===
sg3-utils (1.40-0ubuntu1) wily; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * sg3-utils-udev (new binary package):  provide the udev rules for SCSI-ID
    mappings and symlinks at boot time for multipath-tools:
    - debian/control: add sg3-utils-udev
    - debian/rules: build it with override_dh_{install,clean}
    - debian/initramfs/hooks: add_udev_rules() and copy_exec() 'sg_inq' to
      initramfs
    - debian/sg3-utils-udev.post{inst,rm}: call update-initramfs

  [ Mathieu Trudel-Lapierre ]
  * Pick packaging for 1.4.0 from Debian git collab-maint.
  * Also build a new sg3-udeb package for use by d-i.
  * debian/control, debian/compat: bump to debhelper/compat 9.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 26 Jun 2015 16:28:28 -0400
