=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>= 7.0.50~), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.2
 Homepage: http://sg.danny.cz/sg/
 Vcs-Git: git://anonscm.debian.org/collab-maint/sg3-utils.git
@@ -63,3 +63,25 @@
  Developer files (i.e. headers and a static library) which are associated with
  the utilities in the sg3-utils package.
 
+Package: sg3-utils-udev
+Architecture: all
+Depends: sg3-utils, initramfs-tools, ${misc:Depends}
+Description: utilities for devices using the SCSI command set (udev rules)
+ Most OSes have SCSI pass-through interfaces that enable user space programs
+ to send SCSI commands to a device and fetch the response. With SCSI to ATA
+ Translation (SAT) many ATA disks now can process SCSI commands. Typically
+ each utility in this package implements one SCSI command. See the draft
+ standards at www.t10.org for SCSI command definitions plus SAT. ATA
+ commands are defined in the draft standards at www.t13.org . For a mapping
+ between supported SCSI and ATA commands and utility names in this package
+ see the COVERAGE file.
+ .
+ udev rules which are associated with the utilities in the sg3-utils package.
+
+Package: sg3-udeb
+Architecture: any
+Package-Type: udeb
+Section: debian-installer
+Depends: ${misc:Depends}
+Description: utilities for devices using the SCSI command set
+
