=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,35 @@
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 PKG_VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 
+INITRAMFS=$(CURDIR)/debian/sg3-utils-udev/usr/share/initramfs-tools/
+
 get-orig-source:
 	uscan --force-download --rename --repack --download-version=$(PKG_VERS) --destdir=.
 
 %:
 	dh "$@" --with autoreconf
 
+override_dh_install:
+	find $(CURDIR)/debian/tmp -name "*.la" -delete
+	dh_install --list-missing
+
+	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-utils-udev.scsi-sg3_id.udev
+	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-udeb.scsi-sg3_id.udev
+	[ ! -f scripts/58-scsi-sg3_symlink.rules ] || cp scripts/58-scsi-sg3_symlink.rules debian/sg3-utils-udev.scsi-sg3_symlink.udev
+
+	dh_installudev -psg3-utils-udev --priority=55 --name=scsi-sg3_id 
+	dh_installudev -psg3-utils-udev --priority=58 --name=scsi-sg3_symlink 
+	dh_installudev -psg3-udeb --priority=55 --name=scsi-sg3_id 
+
+	install -D -m 755 debian/initramfs/hooks $(INITRAMFS)/hooks/sg3-utils
+
+override_dh_clean:
+	dh_testdir
+
+	rm -f debian/sg3-utils-udev.scsi-sg3_id.udev
+	rm -f debian/sg3-utils-udev.scsi-sg3_symlink.udev
+	rm -f debian/sg3-udeb.scsi-sg3_id.udev
+
+	dh_clean
+
 .PHONY: get-orig-source
