## sg3-utils 1.42

=== debian/changelog ===
sg3-utils (1.42-2ubuntu1) yakkety; urgency=medium

  * debian/control, debian/rules: build a sg3-udeb installer package again.
  * debian/sg3-udeb.install: install the right binaries for sg3-udeb.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 06 Jul 2016 09:19:44 -0400

sg3-utils (1.42-2) unstable; urgency=medium

  * [a3ba3f8] Don't hardcode architecture in install files
  * Also close below bug. Its udev rule error is fixed in 1.42
    (Closes: #799680)
  * [1602649] Add debian/gbp.conf to explicitly enable pristine-tar
    for this package's packaging

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 22 Mar 2016 21:59:58 +0530

sg3-utils (1.42-1) unstable; urgency=medium

  * [5e8831f] Imported Upstream version 1.42
  * [207bf28] Update symbol list for 1.42
  * [5bb50a3] Bump debhelper to 9
  * [3ef31a6] Fix Vcs URLs
  * [ed19382] Update install list

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 22 Mar 2016 16:03:46 +0530

sg3-utils (1.41-1) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * sg3-utils-udev (new binary package):  provide the udev rules for
    SCSI-ID mappings and symlinks at boot time for multipath-tools:
    - debian/control: add sg3-utils-udev
    - debian/rules: build it with override_dh_{install,clean}
    - debian/initramfs/hooks: add_udev_rules() and copy_exec() 'sg_inq'
      to initramfs
    - debian/sg3-utils-udev.post{inst,rm}: call update-initramfs

  [ Ritesh Raj Sarraf ]
  * [7c346df] Add misc:Depends to dependency
  * [b719c1a] Clean up README.source
  * [e799461] Remove stale debian/ folder in upstream branch
  * [92db371] Imported Upstream version 1.41
  * [dadce5a] Recover debian/ files from improper gbp import
    --filter=debian
  * [e7aa4ba] Refresh patch debian/patches/ship-rescan-script.sh
  * [33af743] Update symbols introduced in 1.41

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 08 Jul 2015 18:48:43 +0530
