=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,8 @@
 	dh "$@" --with autoreconf
 
 override_dh_install:
-	find $(CURDIR)/debian/tmp -name "*.la" -delete
-	dh_install --list-missing
+	dh_testdir
+	dh_install
 
 	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-utils-udev.scsi-sg3_id.udev
 	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-udeb.scsi-sg3_id.udev
