## sg3-utils 1.44

=== debian/changelog ===
sg3-utils (1.44-1ubuntu2) focal; urgency=medium

  * Fix a typo in a udev rule that leads to truncated ID_SERIAL values in
    udev. (LP: #1859858)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 25 Feb 2020 11:00:07 +1300

sg3-utils (1.44-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control, debian/rules: build a sg3-udeb installer package again.
    - debian/sg3-udeb.install: install the right binaries for sg3-udeb.
  * Dropped:
    - d/p/ftbfs-sysmacro-include.patch: include correct header for the
      major()/minor() macro definitions. (LP: #1823436)
      [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 18 Jun 2019 14:51:10 +0000

sg3-utils (1.44-1) unstable; urgency=medium

  * New upstream version 1.44
  * Drop patch ship-rescan-script.sh. Merged upstream.
  * Update new symbol list

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 13 Sep 2018 11:03:26 +0545

sg3-utils (1.42-3) unstable; urgency=medium

  * Fix path for udevadm, which now resides in /bin.
    Thanks to Michael Biebl (Closes: #852585)
  * Switch packaging to Salsa

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 10 Sep 2018 10:02:04 +0545

sg3-utils (1.42-2ubuntu2) eoan; urgency=medium

  * d/p/ftbfs-sysmacro-include.patch: include correct header for the
    major() macro definition. (LP: #1823436)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 23 Apr 2019 18:07:53 -0300
