=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.2
 Homepage: http://sg.danny.cz/sg/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sg3-utils.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sg3-utils.git
+Vcs-Git: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
 
 Package: sg3-utils
 Architecture: any
