=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,9 @@
 # Uncomment this to turn on verbose mode. 
 # export DH_VERBOSE=1
 
-DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
-PKG_VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 
 INITRAMFS=$(CURDIR)/debian/sg3-utils-udev/usr/share/initramfs-tools/
-
-get-orig-source:
-	uscan --force-download --rename --repack --download-version=$(PKG_VERS) --destdir=.
 
 %:
 	dh "$@" --with autoreconf
