=== debian/changelog ===
sg3-utils (1.45-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:13 +0100

sg3-utils (1.45-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1879761). Remaining changes:
    - debian/control, debian/rules: build a sg3-udeb installer package again.
    - debian/sg3-udeb.install: install the right binaries for sg3-udeb.
  * Dropped:
    - Fix a typo in a udev rule that leads to truncated ID_SERIAL values in
      udev. (LP: #1859858)
    [Fixed Upstream]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 21 May 2020 03:34:16 +0000

sg3-utils (1.45-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Submit.
  * Drop unnecessary dependency on dh-autoconf.
  * Use canonical URL in Vcs-Browser.

  [ Ritesh Raj Sarraf ]
  * Add filter for the debian folder
  * New upstream version 1.45
  * Drop quilt based patch fix-udevadm-path.patch
  * Add patch to fix path for udevadm
  * Update symbol list for 1.45

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 10 Apr 2020 20:52:49 +0530
