=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -18,7 +18,7 @@
 INITRAMFS=$(CURDIR)/debian/sg3-utils-udev/usr/share/initramfs-tools/
 
 %:
-	dh "$@" --with autoreconf
+	dh "$@"
 
 override_dh_install:
 	dh_testdir
@@ -28,9 +28,9 @@
 	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-udeb.scsi-sg3_id.udev
 	[ ! -f scripts/58-scsi-sg3_symlink.rules ] || cp scripts/58-scsi-sg3_symlink.rules debian/sg3-utils-udev.scsi-sg3_symlink.udev
 
-	dh_installudev -psg3-utils-udev --priority=55 --name=scsi-sg3_id 
-	dh_installudev -psg3-utils-udev --priority=58 --name=scsi-sg3_symlink 
-	dh_installudev -psg3-udeb --priority=55 --name=scsi-sg3_id 
+	dh_installudev -psg3-utils-udev --priority=55 --name=scsi-sg3_id
+	dh_installudev -psg3-utils-udev --priority=58 --name=scsi-sg3_symlink
+	dh_installudev -psg3-udeb --priority=55 --name=scsi-sg3_id
 
 	install -D -m 755 debian/initramfs/hooks $(INITRAMFS)/hooks/sg3-utils
