=== debian/changelog ===
sg3-utils (1.46-3ubuntu4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:15 +0200

sg3-utils (1.46-3ubuntu3) noble; urgency=medium

  * d/control: fix version in libsgutils2-1.46-2 breaks/replaces to
    avoid file conflict when ugprading from jammy and lunar
    (LP: #2039279)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 25 Oct 2023 09:49:58 -0300

sg3-utils (1.46-3ubuntu2) mantic; urgency=medium

  * d/p/0002-Fix-crash-with-rescan-scsi-bus.sh-r.patch: do not allow
    rescan-scsi-bus.sh to remove device (LP: #1976228).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 05 Sep 2023 18:22:04 -0300

sg3-utils (1.46-3ubuntu1) mantic; urgency=medium

  * Break/Replace 1.46-1build1 instead of 1.46-1, as this is the relevant
    version present in Ubuntu.  This change can be dropped after 24.04
    release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 May 2023 12:09:00 +0000

sg3-utils (1.46-3) unstable; urgency=medium

  * Upload to unstable
  * Switch to Breaks instead of Conflicts for library package

 -- Jonathan McDowell <noodles@earth.li>  Thu, 02 Mar 2023 18:58:32 +0000

sg3-utils (1.46-2) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Jonathan McDowell ]
  * Rename libsgutils2-2 package to include package version (Closes: #994758)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 01 Mar 2023 09:24:47 +0000

sg3-utils (1.46-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libsgutils2-2: Add Multi-Arch: same.
    + libsgutils2-dev: Add Multi-Arch: same.

  [ Ritesh Raj Sarraf ]
  * New upstream version 1.46
  * Bump debhelper compatibility to 13
  * Update symbol list to version 1.46
  * Update Standards Version to 4.5.1
  * Update symbol list for 1.45

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 17 Aug 2021 21:45:28 +0530
