=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>= 9), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.2
-Homepage: http://sg.danny.cz/sg/
+Build-Depends: debhelper-compat (= 13), libtool, libcam-dev [kfreebsd-any], dpkg-dev (>= 1.16.1~)
+Standards-Version: 4.5.1
+Homepage: https://sg.danny.cz/sg/
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
-Vcs-Browser: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/sg3-utils
 
 Package: sg3-utils
 Architecture: any
@@ -25,13 +25,14 @@
  between supported SCSI and ATA commands and utility names in this package
  see the COVERAGE file.
 
-Package: libsgutils2-2
+Package: libsgutils2-1.46-2
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
-Conflicts: libsgutils2
-Replaces: libsgutils2
+Breaks: libsgutils2-2 (<< 1.46-3ubuntu2)
+Replaces: libsgutils2-2 (<< 1.46-3ubuntu2)
 Suggests: sg3-utils
+Multi-Arch: same
 Description: utilities for devices using the SCSI command set (shared libraries)
  Most OSes have SCSI pass-through interfaces that enable user space programs
  to send SCSI commands to a device and fetch the response. With SCSI to ATA
@@ -47,9 +48,10 @@
 Package: libsgutils2-dev
 Section: libdevel
 Architecture: any
-Depends: libsgutils2-2 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
+Depends: libsgutils2-1.46-2 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
 Conflicts: libsgutils1-dev
 Suggests: sg3-utils
+Multi-Arch: same
 Description: utilities for devices using the SCSI command set (developer files)
  Most OSes have SCSI pass-through interfaces that enable user space programs
  to send SCSI commands to a device and fetch the response. With SCSI to ATA
@@ -65,7 +67,7 @@
 
 Package: sg3-utils-udev
 Architecture: all
-Depends: sg3-utils, initramfs-tools, ${misc:Depends}
+Depends: sg3-utils, initramfs-tools-core, initramfs-tools | linux-initramfs-tool, ${misc:Depends}
 Description: utilities for devices using the SCSI command set (udev rules)
  Most OSes have SCSI pass-through interfaces that enable user space programs
  to send SCSI commands to a device and fetch the response. With SCSI to ATA
@@ -77,11 +79,3 @@
  see the COVERAGE file.
  .
  udev rules which are associated with the utilities in the sg3-utils package.
-
-Package: sg3-udeb
-Architecture: any
-Package-Type: udeb
-Section: debian-installer
-Depends: ${misc:Depends}
-Description: utilities for devices using the SCSI command set
-
