=== debian/changelog ===
sg3-utils (1.48-2) unstable; urgency=medium

  [ Bryce Harrington / Christian Ehrhardt ]
  * Add DEP8 packaging/integration tests (LP: #1679392)

  [ Christian Ehrhardt ]
  * Add lintian override to tolerate script-with-language-extension for
    rescan-scsi-bus.sh
  * Only install applicable readme files

  [ Jonathan McDowell ]
  * Bump Standards-Version to 4.7.0

 -- Jonathan McDowell <noodles@earth.li>  Sun, 05 Jan 2025 09:43:59 +0000

sg3-utils (1.48-1) experimental; urgency=medium

  [ Laszlo Gombos ]
  * Remove explicit initramfs-tools-core dependency (Closes: #994492)

  [ Jonathan McDowell ]
  * New upstream release
  * Refresh rescan-scsi-bus.sh udevadm path patch
  * Update library symbols

 -- Jonathan McDowell <noodles@earth.li>  Tue, 24 Dec 2024 11:22:37 +0000

sg3-utils (1.46-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move udev rules into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:02:17 +0200
