=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: sg3-utils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper-compat (= 13), libtool, libcam-dev [kfreebsd-any], dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://sg.danny.cz/sg/
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
 Vcs-Browser: https://salsa.debian.org/linux-blocks-team/sg3-utils
@@ -25,12 +24,10 @@
  between supported SCSI and ATA commands and utility names in this package
  see the COVERAGE file.
 
-Package: libsgutils2-1.46-2
+Package: libsgutils2-1.48
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
-Breaks: libsgutils2-2 (<< 1.46-3ubuntu2)
-Replaces: libsgutils2-2 (<< 1.46-3ubuntu2)
 Suggests: sg3-utils
 Multi-Arch: same
 Description: utilities for devices using the SCSI command set (shared libraries)
@@ -48,7 +45,7 @@
 Package: libsgutils2-dev
 Section: libdevel
 Architecture: any
-Depends: libsgutils2-1.46-2 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
+Depends: libsgutils2-1.48 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
 Conflicts: libsgutils1-dev
 Suggests: sg3-utils
 Multi-Arch: same
@@ -67,7 +64,7 @@
 
 Package: sg3-utils-udev
 Architecture: all
-Depends: sg3-utils, initramfs-tools-core, initramfs-tools | linux-initramfs-tool, ${misc:Depends}
+Depends: sg3-utils, initramfs-tools | linux-initramfs-tool, ${misc:Depends}
 Description: utilities for devices using the SCSI command set (udev rules)
  Most OSes have SCSI pass-through interfaces that enable user space programs
  to send SCSI commands to a device and fetch the response. With SCSI to ATA
