=== debian/watch ===
version=3
http://sg.danny.cz/sg/p/sg3_utils-([\d\.]+)\.tgz
